Skip to main content
PUT
V0 - Update definitions

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Findity-ApiVersion
string
default:3
Content-Type
string
default:text/plain; charset=utf-8

Path Parameters

internalId
string
required

The internal id of the organization

Body

application/json
id
string
Example:

"4028812f65a9e76f0165a9f24bbc0000"

container
string
Example:

"RECEIPT_VERIFICATION"

name
string
Example:

"Dimension 1"

dataType
string
Example:

"STRING"

mandatory
boolean
Example:

false

visible
boolean
Example:

true

sortOrder
integer
Example:

21

controlType
string
Example:

"TEXT"

categoryClassType
string
Example:

""

categoryId
string
Example:

""

listKey
string
Example:

""

showSpinner
boolean
Example:

false

setActive
boolean
Example:

false

hidden
boolean
Example:

false

disabled
boolean
Example:

false

presetLastSelection
string
Example:

""

customKey
string
Example:

""

type
string
Example:

"Custom"

key
string
Example:

"Custom"

Response

200
Last modified on August 31, 2026